﻿<?xml version="1.0" encoding="utf-8"?>
<Dsl dslVersion="1.0.0.0" Id="16dc25ba-210e-4085-a04c-6602c481ce0a" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.XAFBOD" Name="XAFBOD" DisplayName="LiekhusXafBusinessObjectDesigner" Namespace="Liekhus.Xaf.BusinessObjectDesigner" MinorVersion="4" ProductName="Liekhus Xaf Business Object Designer" CompanyName="Patrick Liekhus" PackageGuid="6fbf5850-0c8e-41cb-8155-f2404a0f35c0" PackageNamespace="Liekhus.Xaf.BusinessObjectDesigner" xmlns="http://schemas.microsoft.com/VisualStudio/2005/DslTools/DslDefinitionModel">
  <Classes>
    <DomainClass Id="3b614802-6c4b-474e-a7ef-b88fad155487" Description="The root in which all other elements are embedded. Appears as a diagram." Name="DomainModel" DisplayName="Domain Model" Namespace="Liekhus.Xaf.BusinessObjectDesigner">
      <Properties>
        <DomainProperty Id="da17b421-87bb-4160-bd10-0f46d4e192f5" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainModel.Windows Application" Name="WindowsApplication" DisplayName="Windows Application">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="7b06c0c9-7eb3-4d6f-b5aa-bb074114891b" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainModel.Web Application" Name="WebApplication" DisplayName="Web Application">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="0a68539b-52fa-4cc9-a4f2-0634194fd9b1" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainModel.Database Name" Name="DatabaseName" DisplayName="Database Name">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Notes>Creates an embedding link when an element is dropped onto a model. </Notes>
          <Index>
            <DomainClassMoniker Name="DomainObject" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DomainModelHasObjects.Objects</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="DomainComment" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DomainModelHasComments.Comments</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="DomainUserContext" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DomainModelHasUserContexts.UserContexts</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="DomainRequirement" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DomainModelHasRequirements.Requirements</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="329cc220-688c-4c51-b148-ea09f3b36fbc" Description="Elements embedded in the model. Appear as boxes on the diagram." Name="DomainObject" DisplayName="Domain Object" Namespace="Liekhus.Xaf.BusinessObjectDesigner">
      <Properties>
        <DomainProperty Id="f2b52fc9-8053-4c90-9e0c-b44650f06bea" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObject.Name" Name="Name" DisplayName="Name" DefaultValue="DomainObject" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="81dfff77-72eb-40c6-8c1b-20cb29ec1961" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObject.Base Type" Name="BaseType" DisplayName="Base Type" DefaultValue="BaseObject">
          <Attributes>
            <ClrAttribute Name="System.ComponentModel.EditorAttribute">
              <Parameters>
                <AttributeParameter Value="typeof(Liekhus.Xaf.BusinessObjectDesigner.CustomCode.Editor.BaseTypeEditor)" />
                <AttributeParameter Value="typeof(System.Drawing.Design.UITypeEditor)" />
              </Parameters>
            </ClrAttribute>
          </Attributes>
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="31bae438-2d2d-470b-87e4-47d214532650" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObject.Table Name" Name="TableName" DisplayName="Table Name">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="22734b04-82ca-4b57-a6f7-155d3bfcbb27" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObject.Is Creatable" Name="IsCreatable" DisplayName="Is Creatable" DefaultValue="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="65d46596-1d8a-47b4-9d48-c85bf956b520" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObject.Is Navigational" Name="IsNavigational" DisplayName="Is Navigational" DefaultValue="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="18310910-f85c-4a3e-950b-084a0b9acb9c" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObject.Image Name" Name="ImageName" DisplayName="Image Name">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="6789d241-281f-490b-beff-b052795cd31f" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObject.List View Filters" Name="ListViewFilters" DisplayName="List View Filters">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="0119f89f-5f0e-4afa-80d0-22c1dbaf2a1d" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObject.Detail View Item Name" Name="DetailViewItemName" DisplayName="Detail View Item Name">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="db246982-f117-46c9-85a8-aba679f9bf5e" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObject.Back Color" Name="BackColor" DisplayName="Back Color">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="5d68cc3c-64ec-4481-9b8e-4c9e0cbdb5cb" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObject.Default Property Name" Name="DefaultPropertyName" DisplayName="Default Property Name">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="5fba116e-0fa2-40c7-9505-243bb202b53a" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObject.Custom Attribute Code" Name="CustomAttributeCode" DisplayName="Custom Attribute Code">
          <Attributes>
            <ClrAttribute Name="System.ComponentModel.EditorAttribute">
              <Parameters>
                <AttributeParameter Value="typeof(Liekhus.Xaf.BusinessObjectDesigner.CustomCode.Editor.TextAreaEditor)" />
                <AttributeParameter Value="typeof(System.Drawing.Design.UITypeEditor)" />
              </Parameters>
            </ClrAttribute>
          </Attributes>
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="DomainProperty" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DomainObjectHasProperties.Properties</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="f8c211c6-3e5f-49d0-af75-35a3cc06a9a2" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainProperty" Name="DomainProperty" DisplayName="Domain Property" Namespace="Liekhus.Xaf.BusinessObjectDesigner">
      <Properties>
        <DomainProperty Id="74f2689a-013c-48d8-80c8-fd9111391b4a" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainProperty.Name" Name="Name" DisplayName="Name" DefaultValue="Property" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="acb7e917-3e6b-44b0-afd6-5126c14b862e" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainProperty.Property Type" Name="PropertyType" DisplayName="Property Type" DefaultValue="string">
          <Attributes>
            <ClrAttribute Name="System.ComponentModel.EditorAttribute">
              <Parameters>
                <AttributeParameter Value="typeof(Liekhus.Xaf.BusinessObjectDesigner.CustomCode.Editor.PropertyTypeEditor)" />
                <AttributeParameter Value="typeof(System.Drawing.Design.UITypeEditor)" />
              </Parameters>
            </ClrAttribute>
          </Attributes>
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="0c6f8eb7-27b3-45a6-a147-7c590f03b735" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainProperty.Column Name" Name="ColumnName" DisplayName="Column Name">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="48fafc20-2501-440a-9bd8-86ec34345843" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainProperty.Is Required" Name="IsRequired" DisplayName="Is Required">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="cfba2775-5e84-49f9-92a5-d36f59dcd4dc" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainProperty.Is Unique Value" Name="IsUniqueValue" DisplayName="Is Unique Value">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="c91e6629-07e2-477c-9982-fad771115e47" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainProperty.Size" Name="Size" DisplayName="Size" DefaultValue="50">
          <Type>
            <ExternalTypeMoniker Name="/System/Int32" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="823de01a-0431-4021-bbac-6efe9235e230" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainProperty.Display Format" Name="DisplayFormat" DisplayName="Display Format">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="3a625d2c-2599-4f50-9a33-9ca9ee10b957" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainProperty.Is Key Property" Name="IsKeyProperty" DisplayName="Is Key Property">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="a4858d83-f04f-4c98-976e-9c71ca8ec672" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainProperty.Is Auto Generated Key" Name="IsAutoGeneratedKey" DisplayName="Is Auto Generated Key">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="103920d3-e83a-4309-b3ec-32f997370a02" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainProperty.Display Name" Name="DisplayName" DisplayName="Display Name">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="673aed05-6f90-46c6-9f7d-08e999e2c075" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainProperty.Detail View Item Name" Name="DetailViewItemName" DisplayName="Detail View Item Name">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="0dfdd580-5a16-4059-bbec-0f177e672e1d" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainProperty.Edit Mask" Name="EditMask" DisplayName="Edit Mask">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="2a1d9432-a5cb-4d6c-acc8-891377face48" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainProperty.Rule Required Message" Name="RuleRequiredMessage" DisplayName="Rule Required Message">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="c870881e-ca9f-4565-9a2e-b7f1617a87bb" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainProperty.Rule Unique Message" Name="RuleUniqueMessage" DisplayName="Rule Unique Message">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="148be621-05df-47cb-a64b-f62c082fd312" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainProperty.Custom Attribute Code" Name="CustomAttributeCode" DisplayName="Custom Attribute Code">
          <Attributes>
            <ClrAttribute Name="System.ComponentModel.EditorAttribute">
              <Parameters>
                <AttributeParameter Value="typeof(Liekhus.Xaf.BusinessObjectDesigner.CustomCode.Editor.TextAreaEditor)" />
                <AttributeParameter Value="typeof(System.Drawing.Design.UITypeEditor)" />
              </Parameters>
            </ClrAttribute>
          </Attributes>
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="033e0ed1-f6f3-403e-9fff-f0e8c1a83b64" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainComment" Name="DomainComment" DisplayName="Domain Comment" Namespace="Liekhus.Xaf.BusinessObjectDesigner">
      <Properties>
        <DomainProperty Id="56a8187d-c378-4695-b0f1-5014874e159f" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainComment.Summary" Name="Summary" DisplayName="Summary" DefaultValue="Comment goes here">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="101f7a81-8af6-4292-a6ca-de7bb12af676" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainComment.Remarks" Name="Remarks" DisplayName="Remarks">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="0efab9bf-6ab2-4353-b8a7-5a3088830559" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainUserContext" Name="DomainUserContext" DisplayName="Domain User Context" Namespace="Liekhus.Xaf.BusinessObjectDesigner">
      <Properties>
        <DomainProperty Id="0e5b1007-0b6c-4a22-b91e-3f598c206742" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainUserContext.Name" Name="Name" DisplayName="Name" DefaultValue="User">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="4c78c84c-0e44-47b8-9b4b-c3f7b58809f3" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainUserContext.Login Name" Name="LoginName" DisplayName="Login Name">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="ad3e3310-e1ca-4d9b-ace3-7192cdf9fef3" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainUserContext.Password" Name="Password" DisplayName="Password">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="4528b287-8cc7-4ebb-8a1e-c14239a97b36" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainRequirement" Name="DomainRequirement" DisplayName="Domain Requirement" Namespace="Liekhus.Xaf.BusinessObjectDesigner">
      <Properties>
        <DomainProperty Id="98c9da95-c39b-4767-8eb1-1fa343bc0563" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainRequirement.Name" Name="Name" DisplayName="Name">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="bfe7fabf-cb4e-4f8d-991a-41ca631ff5c2" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainRequirement.Description" Name="Description" DisplayName="Description">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="b30c033c-a92c-46a5-8aad-dc0661c8321e" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainRequirement.Is Windows Test" Name="IsWindowsTest" DisplayName="Is Windows Test" DefaultValue="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="2f2d2e9f-5c60-4747-bab9-696cf2affc03" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainRequirement.Is Web Test" Name="IsWebTest" DisplayName="Is Web Test" DefaultValue="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="f0b2ea06-026f-4adf-a510-a49847bbda01" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainRequirement.Should Clear Database" Name="ShouldClearDatabase" DisplayName="Should Clear Database" DefaultValue="false">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="fddd9d43-0ac6-4df8-9667-c05bbbde4c9c" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainRequirement.Should Restore Database" Name="ShouldRestoreDatabase" DisplayName="Should Restore Database" DefaultValue="false">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="DomainRequirementAction" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DomainRequirementHasActions.Actions</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="39a66fdb-cc68-4ec0-8ad0-c5358b30b002" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainRequirementAction" Name="DomainRequirementAction" DisplayName="Domain Requirement Action" Namespace="Liekhus.Xaf.BusinessObjectDesigner">
      <Properties>
        <DomainProperty Id="fba67ae2-6dbe-4765-905e-6cfb2caf3fe8" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainRequirementAction.Name" Name="Name" DisplayName="Name" DefaultValue="Step" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="60b1edce-e0cd-4f82-be26-e5657d9451a4" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainRequirementAction.Should Succeed" Name="ShouldSucceed" DisplayName="Should Succeed" DefaultValue="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="6e8da2b3-3641-481b-9149-064417a2b30b" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainRequirementAction.Step Action" Name="StepAction" DisplayName="Step Action" DefaultValue="Action">
          <Attributes>
            <ClrAttribute Name="System.ComponentModel.EditorAttribute">
              <Parameters>
                <AttributeParameter Value="typeof(Liekhus.Xaf.BusinessObjectDesigner.CustomCode.Editor.RequirementActionTypeEditor)" />
                <AttributeParameter Value="typeof(System.Drawing.Design.UITypeEditor)" />
              </Parameters>
            </ClrAttribute>
          </Attributes>
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="5a5cd358-baee-4497-ad3a-22e306d4749c" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainRequirementAction.Command Parameters" Name="CommandParameters" DisplayName="Command Parameters">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="16fb5315-88d5-44fd-8987-0f3c07848968" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainRequirementAction.Additional Commands" Name="AdditionalCommands" DisplayName="Additional Commands">
          <Attributes>
            <ClrAttribute Name="System.ComponentModel.EditorAttribute">
              <Parameters>
                <AttributeParameter Value="typeof(Liekhus.Xaf.BusinessObjectDesigner.CustomCode.Editor.TextAreaEditor)" />
                <AttributeParameter Value="typeof(System.Drawing.Design.UITypeEditor)" />
              </Parameters>
            </ClrAttribute>
          </Attributes>
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
  </Classes>
  <Relationships>
    <DomainRelationship Id="ffbee342-72c1-42bd-a898-b6f9639b211f" Description="Embedding relationship between the Model and Elements" Name="DomainModelHasObjects" DisplayName="Domain Model Has Objects" Namespace="Liekhus.Xaf.BusinessObjectDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="25266056-a7ae-4dce-aa82-df1c780f3110" Description="" Name="DomainModel" DisplayName="Domain Model" PropertyName="Objects" PropertyDisplayName="Objects">
          <RolePlayer>
            <DomainClassMoniker Name="DomainModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="e644baff-2350-4ba3-a8c5-107b790edecf" Description="" Name="Element" DisplayName="Element" PropertyName="DomainModel" Multiplicity="One" PropagatesDelete="true" PropertyDisplayName="Domain Model">
          <RolePlayer>
            <DomainClassMoniker Name="DomainObject" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="b65d944e-6a0e-41f6-a95c-8b408f96b974" Description="Reference relationship between Elements." Name="DomainObjectReferencesTargets" DisplayName="Domain Object References Targets" Namespace="Liekhus.Xaf.BusinessObjectDesigner">
      <Properties>
        <DomainProperty Id="9dc58841-83f7-4800-baf5-000add28489b" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObjectReferencesTargets.Is Many To Many" Name="IsManyToMany" DisplayName="Is Many To Many">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="c98b6390-0246-478f-baee-71f1ab38e971" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObjectReferencesTargets.Target Name" Name="TargetName" DisplayName="Target Name">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="4d897275-b8a8-462b-9f82-792cf4309968" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObjectReferencesTargets.Source Name" Name="SourceName" DisplayName="Source Name">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="22d4aa55-5baf-4e26-84b1-4c57262b8d4e" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObjectReferencesTargets.Is Aggregated" Name="IsAggregated" DisplayName="Is Aggregated" DefaultValue="False">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="7d50bba9-898d-4b1b-8dbb-286fce1975e1" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObjectReferencesTargets.Display Many Text" Name="DisplayManyText" DisplayName="Display Many Text" DefaultValue="*" IsBrowsable="false" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="c3f8866a-8285-43f2-8258-a45aeeafea89" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObjectReferencesTargets.Display One Text" Name="DisplayOneText" DisplayName="Display One Text" DefaultValue="1" IsBrowsable="false" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <Source>
        <DomainRole Id="4b3d3377-1cab-413e-8a38-53d752c4f6f3" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.ExampleRelationship.Target" Name="Source" DisplayName="Source" PropertyName="Targets" PropertyDisplayName="Targets">
          <RolePlayer>
            <DomainClassMoniker Name="DomainObject" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="99a8a544-5f98-47c1-bea4-f446daa39751" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.ExampleRelationship.Source" Name="Target" DisplayName="Target" PropertyName="Sources" PropertyDisplayName="Sources">
          <RolePlayer>
            <DomainClassMoniker Name="DomainObject" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="32ddc8fb-bf88-4ce3-b709-59e6ebc851c4" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObjectHasProperties" Name="DomainObjectHasProperties" DisplayName="Domain Object Has Properties" Namespace="Liekhus.Xaf.BusinessObjectDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="f5569827-2ed4-40f1-aaeb-f22211a1d467" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObjectHasProperties.DomainObject" Name="DomainObject" DisplayName="Domain Object" PropertyName="Properties" PropertyDisplayName="Properties">
          <RolePlayer>
            <DomainClassMoniker Name="DomainObject" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="180ddd8c-cd8b-4edd-b519-169bf63f0838" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObjectHasProperties.DomainProperty" Name="DomainProperty" DisplayName="Domain Property" PropertyName="DomainObject" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Domain Object">
          <RolePlayer>
            <DomainClassMoniker Name="DomainProperty" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="6e3ec5fd-f58b-4d02-9069-bfc66e3ab3b2" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainModelHasComments" Name="DomainModelHasComments" DisplayName="Domain Model Has Comments" Namespace="Liekhus.Xaf.BusinessObjectDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="443896d7-7a3b-4fd6-80dd-8cd2c8d49aaa" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainModelHasComments.DomainModel" Name="DomainModel" DisplayName="Domain Model" PropertyName="Comments" PropertyDisplayName="Comments">
          <RolePlayer>
            <DomainClassMoniker Name="DomainModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="7cd74393-3a8e-49f3-9daa-18c247f19e97" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainModelHasComments.DomainComment" Name="DomainComment" DisplayName="Domain Comment" PropertyName="DomainModel" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Domain Model">
          <RolePlayer>
            <DomainClassMoniker Name="DomainComment" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="4f06bbac-c620-4756-a874-9afe43fb419a" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObjectReferencesComments" Name="DomainObjectReferencesComments" DisplayName="Domain Object References Comments" Namespace="Liekhus.Xaf.BusinessObjectDesigner">
      <Source>
        <DomainRole Id="191e6cf3-f3c2-4604-be0b-41ea39725037" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObjectReferencesComments.DomainObject" Name="DomainObject" DisplayName="Domain Object" PropertyName="Comments" PropertyDisplayName="Comments">
          <RolePlayer>
            <DomainClassMoniker Name="DomainObject" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="fe5f3c33-c019-4f1e-88f8-9b1db9c2f4b1" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObjectReferencesComments.DomainComment" Name="DomainComment" DisplayName="Domain Comment" PropertyName="Object" PropertyDisplayName="Object">
          <RolePlayer>
            <DomainClassMoniker Name="DomainComment" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="f3e4aca7-5a17-45d2-be52-6db2aceca83e" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainModelHasUserContexts" Name="DomainModelHasUserContexts" DisplayName="Domain Model Has User Contexts" Namespace="Liekhus.Xaf.BusinessObjectDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="44d71310-53d3-47cc-a38d-19163cc412d8" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainModelHasUserContexts.DomainModel" Name="DomainModel" DisplayName="Domain Model" PropertyName="UserContexts" PropertyDisplayName="User Contexts">
          <RolePlayer>
            <DomainClassMoniker Name="DomainModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="b0715835-36b8-40a4-9b5f-37c7f74e0b94" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainModelHasUserContexts.DomainUserContext" Name="DomainUserContext" DisplayName="Domain User Context" PropertyName="DomainModel" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Domain Model">
          <RolePlayer>
            <DomainClassMoniker Name="DomainUserContext" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="ba369127-50b0-484c-89ff-2b85e1110182" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainModelHasRequirements" Name="DomainModelHasRequirements" DisplayName="Domain Model Has Requirements" Namespace="Liekhus.Xaf.BusinessObjectDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="60613f00-4aad-4af9-ac9c-6e663b7b0c14" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainModelHasRequirements.DomainModel" Name="DomainModel" DisplayName="Domain Model" PropertyName="Requirements" PropertyDisplayName="Requirements">
          <RolePlayer>
            <DomainClassMoniker Name="DomainModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="0ba1e3d2-a8bb-4ef9-b105-85f9efa71c8b" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainModelHasRequirements.DomainRequirement" Name="DomainRequirement" DisplayName="Domain Requirement" PropertyName="DomainModel" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Domain Model">
          <RolePlayer>
            <DomainClassMoniker Name="DomainRequirement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="3bb2b768-464a-4bee-808a-e9d14e89b57e" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainRequirementHasActions" Name="DomainRequirementHasActions" DisplayName="Domain Requirement Has Actions" Namespace="Liekhus.Xaf.BusinessObjectDesigner" IsEmbedding="true">
      <Source>
        <DomainRole Id="3684644e-c5e0-4955-91ec-d4c765356803" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainRequirementHasActions.DomainRequirement" Name="DomainRequirement" DisplayName="Domain Requirement" PropertyName="Actions" PropertyDisplayName="Actions">
          <RolePlayer>
            <DomainClassMoniker Name="DomainRequirement" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="67940ce9-42c3-4de4-a7e8-c5adc3b3e91a" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainRequirementHasActions.DomainRequirementAction" Name="DomainRequirementAction" DisplayName="Domain Requirement Action" PropertyName="Requirement" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Requirement">
          <RolePlayer>
            <DomainClassMoniker Name="DomainRequirementAction" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="55c506e5-16c4-40ec-8700-123a2e0ccbea" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainUserContextReferencesRequirements" Name="DomainUserContextReferencesRequirements" DisplayName="Domain User Context References Requirements" Namespace="Liekhus.Xaf.BusinessObjectDesigner">
      <Source>
        <DomainRole Id="c582c4eb-7a56-4312-b39b-c840ac924cfb" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainUserContextReferencesRequirements.DomainUserContext" Name="DomainUserContext" DisplayName="Domain User Context" PropertyName="Requirements" PropertyDisplayName="Requirements">
          <RolePlayer>
            <DomainClassMoniker Name="DomainUserContext" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="85e88633-309f-468e-af49-3a2510f95832" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainUserContextReferencesRequirements.DomainRequirement" Name="DomainRequirement" DisplayName="Domain Requirement" PropertyName="UserContexts" PropertyDisplayName="User Contexts">
          <RolePlayer>
            <DomainClassMoniker Name="DomainRequirement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="86b1fd1b-6afa-41fc-a1e9-2893f142771b" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObjectReferencesRequirements" Name="DomainObjectReferencesRequirements" DisplayName="Domain Object References Requirements" Namespace="Liekhus.Xaf.BusinessObjectDesigner">
      <Source>
        <DomainRole Id="28656767-11fa-448c-a4fb-e7bfb5f1d156" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObjectReferencesRequirements.DomainObject" Name="DomainObject" DisplayName="Domain Object" PropertyName="Requirements" PropertyDisplayName="Requirements">
          <RolePlayer>
            <DomainClassMoniker Name="DomainObject" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="50b55429-6530-46d9-b309-9b0947dcb226" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainObjectReferencesRequirements.DomainRequirement" Name="DomainRequirement" DisplayName="Domain Requirement" PropertyName="Objects" PropertyDisplayName="Objects">
          <RolePlayer>
            <DomainClassMoniker Name="DomainRequirement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
  </Relationships>
  <Types>
    <ExternalType Name="DateTime" Namespace="System" />
    <ExternalType Name="String" Namespace="System" />
    <ExternalType Name="Int16" Namespace="System" />
    <ExternalType Name="Int32" Namespace="System" />
    <ExternalType Name="Int64" Namespace="System" />
    <ExternalType Name="UInt16" Namespace="System" />
    <ExternalType Name="UInt32" Namespace="System" />
    <ExternalType Name="UInt64" Namespace="System" />
    <ExternalType Name="SByte" Namespace="System" />
    <ExternalType Name="Byte" Namespace="System" />
    <ExternalType Name="Double" Namespace="System" />
    <ExternalType Name="Single" Namespace="System" />
    <ExternalType Name="Guid" Namespace="System" />
    <ExternalType Name="Boolean" Namespace="System" />
    <ExternalType Name="Char" Namespace="System" />
  </Types>
  <Shapes>
    <CompartmentShape Id="58988b39-0253-429e-acbd-079445de28f4" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainPropertiesCompartmentShape" Name="DomainPropertiesCompartmentShape" DisplayName="Domain Properties Compartment Shape" Namespace="Liekhus.Xaf.BusinessObjectDesigner" FixedTooltipText="Domain Properties Compartment Shape" FillColor="LightBlue" InitialHeight="0.3" OutlineThickness="0.01125" FillGradientMode="Vertical" Geometry="RoundedRectangle">
      <ShapeHasDecorators Position="InnerTopCenter" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="NameDecorator" DisplayName="Name Decorator" DefaultText="NameDecorator" FontStyle="Bold" FontSize="9" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0">
        <ExpandCollapseDecorator Name="ExpandCollapseDecorator" DisplayName="Expand Collapse Decorator" />
      </ShapeHasDecorators>
      <Compartment Name="Properties" Title="Properties" />
    </CompartmentShape>
    <GeometryShape Id="c50a77f6-cb40-4b20-a363-82af909f43e3" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.CommentShape" Name="CommentShape" DisplayName="Comment Shape" Namespace="Liekhus.Xaf.BusinessObjectDesigner" FixedTooltipText="Comment Shape" FillColor="Khaki" InitialWidth="2.5" InitialHeight="0.4" OutlineThickness="0.01125" Geometry="Rectangle">
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="SummaryDecorator" DisplayName="Summary Decorator" DefaultText="SummaryDecorator" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerBottomLeft" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="RemarksDecorator" DisplayName="Remarks Decorator" DefaultText="RemarksDecorator" />
      </ShapeHasDecorators>
    </GeometryShape>
    <ImageShape Id="423f9c57-4c62-43da-97f9-7891f860deb3" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.UserSecurityShape" Name="UserSecurityShape" DisplayName="User Security Shape" Namespace="Liekhus.Xaf.BusinessObjectDesigner" FixedTooltipText="User Security Shape" InitialWidth="0.25" InitialHeight="0.4" Image="Resources\Actor.bmp">
      <ShapeHasDecorators Position="OuterBottomCenter" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="NameDecorator" DisplayName="Name Decorator" DefaultText="NameDecorator" />
      </ShapeHasDecorators>
    </ImageShape>
    <CompartmentShape Id="601fdeb7-3236-42fb-8319-7c5c98e060f8" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.RequirementsShape" Name="RequirementsShape" DisplayName="Requirements Shape" Namespace="Liekhus.Xaf.BusinessObjectDesigner" FixedTooltipText="Requirements Shape" FillColor="LightGreen" InitialHeight="0.3" OutlineThickness="0.01125" FillGradientMode="Vertical" Geometry="RoundedRectangle">
      <ShapeHasDecorators Position="InnerTopCenter" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="NameDecorator" DisplayName="Name Decorator" DefaultText="Requirement" FontStyle="Bold, Italic" />
      </ShapeHasDecorators>
      <Compartment Name="Actions" Title="Steps" />
    </CompartmentShape>
  </Shapes>
  <Connectors>
    <Connector Id="a6956861-8d37-4973-a128-338a7e01e554" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.DomainRelationshipConnector" Name="DomainRelationshipConnector" DisplayName="Domain Relationship Connector" Namespace="Liekhus.Xaf.BusinessObjectDesigner" FixedTooltipText="Domain Relationship Connector" Thickness="0.01">
      <ConnectorHasDecorators Position="TargetTop" OffsetFromShape="0" OffsetFromLine="0">
        <TextDecorator Name="TargetSideDecorator" DisplayName="Target Side Decorator" DefaultText="*" />
      </ConnectorHasDecorators>
      <ConnectorHasDecorators Position="SourceTop" OffsetFromShape="0" OffsetFromLine="0">
        <TextDecorator Name="SourceSideDecoratorOne" DisplayName="Source Side Decorator One" DefaultText="1" />
      </ConnectorHasDecorators>
      <ConnectorHasDecorators Position="SourceTop" OffsetFromShape="0" OffsetFromLine="0">
        <TextDecorator Name="SourceSideDecoratorMany" DisplayName="Source Side Decorator Many" DefaultText="*" />
      </ConnectorHasDecorators>
    </Connector>
    <Connector Id="567a9a93-609c-4e33-8df5-4e9ab57c2cf7" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.CommentConnector" Name="CommentConnector" DisplayName="Comment Connector" Namespace="Liekhus.Xaf.BusinessObjectDesigner" FixedTooltipText="Comment Connector" Color="Gray" DashStyle="Dot" Thickness="0.01125" />
    <Connector Id="0a9e440c-dcf0-42af-be84-d7342d542358" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.SecurityRequirementConnector" Name="SecurityRequirementConnector" DisplayName="Security Requirement Connector" Namespace="Liekhus.Xaf.BusinessObjectDesigner" FixedTooltipText="Security Requirement Connector" Thickness="0.01125" />
    <Connector Id="5340aa33-0058-4006-a608-e9698d9fab6d" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.ObjectRequirementConnector" Name="ObjectRequirementConnector" DisplayName="Object Requirement Connector" Namespace="Liekhus.Xaf.BusinessObjectDesigner" FixedTooltipText="Object Requirement Connector" Color="Red" DashStyle="Dash" Thickness="0.01125" RoutingStyle="Straight" />
  </Connectors>
  <XmlSerializationBehavior Name="XAFBODSerializationBehavior" Namespace="Liekhus.Xaf.BusinessObjectDesigner">
    <ClassData>
      <XmlClassData TypeName="DomainModel" MonikerAttributeName="" SerializeId="true" MonikerElementName="domainModelMoniker" ElementName="domainModel" MonikerTypeName="DomainModelMoniker">
        <DomainClassMoniker Name="DomainModel" />
        <ElementData>
          <XmlRelationshipData RoleElementName="objects">
            <DomainRelationshipMoniker Name="DomainModelHasObjects" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="comments">
            <DomainRelationshipMoniker Name="DomainModelHasComments" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="userContexts">
            <DomainRelationshipMoniker Name="DomainModelHasUserContexts" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="requirements">
            <DomainRelationshipMoniker Name="DomainModelHasRequirements" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="windowsApplication">
            <DomainPropertyMoniker Name="DomainModel/WindowsApplication" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="webApplication">
            <DomainPropertyMoniker Name="DomainModel/WebApplication" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="databaseName">
            <DomainPropertyMoniker Name="DomainModel/DatabaseName" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DomainObject" MonikerAttributeName="name" MonikerElementName="domainObjectMoniker" ElementName="domainObject" MonikerTypeName="DomainObjectMoniker">
        <DomainClassMoniker Name="DomainObject" />
        <ElementData>
          <XmlPropertyData XmlName="name" IsMonikerKey="true">
            <DomainPropertyMoniker Name="DomainObject/Name" />
          </XmlPropertyData>
          <XmlRelationshipData UseFullForm="true" RoleElementName="targets">
            <DomainRelationshipMoniker Name="DomainObjectReferencesTargets" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="baseType">
            <DomainPropertyMoniker Name="DomainObject/BaseType" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="tableName">
            <DomainPropertyMoniker Name="DomainObject/TableName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="isCreatable">
            <DomainPropertyMoniker Name="DomainObject/IsCreatable" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="isNavigational">
            <DomainPropertyMoniker Name="DomainObject/IsNavigational" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="imageName">
            <DomainPropertyMoniker Name="DomainObject/ImageName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="listViewFilters">
            <DomainPropertyMoniker Name="DomainObject/ListViewFilters" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="detailViewItemName">
            <DomainPropertyMoniker Name="DomainObject/DetailViewItemName" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="properties">
            <DomainRelationshipMoniker Name="DomainObjectHasProperties" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="comments">
            <DomainRelationshipMoniker Name="DomainObjectReferencesComments" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="backColor">
            <DomainPropertyMoniker Name="DomainObject/BackColor" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="defaultPropertyName">
            <DomainPropertyMoniker Name="DomainObject/DefaultPropertyName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="customAttributeCode">
            <DomainPropertyMoniker Name="DomainObject/CustomAttributeCode" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="requirements">
            <DomainRelationshipMoniker Name="DomainObjectReferencesRequirements" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DomainModelHasObjects" MonikerAttributeName="" MonikerElementName="domainModelHasObjectsMoniker" ElementName="domainModelHasObjects" MonikerTypeName="DomainModelHasObjectsMoniker">
        <DomainRelationshipMoniker Name="DomainModelHasObjects" />
      </XmlClassData>
      <XmlClassData TypeName="DomainObjectReferencesTargets" MonikerAttributeName="" MonikerElementName="domainObjectReferencesTargetsMoniker" ElementName="domainObjectReferencesTargets" MonikerTypeName="DomainObjectReferencesTargetsMoniker">
        <DomainRelationshipMoniker Name="DomainObjectReferencesTargets" />
        <ElementData>
          <XmlPropertyData XmlName="isManyToMany">
            <DomainPropertyMoniker Name="DomainObjectReferencesTargets/IsManyToMany" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="targetName">
            <DomainPropertyMoniker Name="DomainObjectReferencesTargets/TargetName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="sourceName">
            <DomainPropertyMoniker Name="DomainObjectReferencesTargets/SourceName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="isAggregated">
            <DomainPropertyMoniker Name="DomainObjectReferencesTargets/IsAggregated" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="displayManyText">
            <DomainPropertyMoniker Name="DomainObjectReferencesTargets/DisplayManyText" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="displayOneText">
            <DomainPropertyMoniker Name="DomainObjectReferencesTargets/DisplayOneText" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="LiekhusXafBusinessObjectDesignerDiagram" MonikerAttributeName="" MonikerElementName="minimalLanguageDiagramMoniker" ElementName="minimalLanguageDiagram" MonikerTypeName="LiekhusXafBusinessObjectDesignerDiagramMoniker">
        <DiagramMoniker Name="LiekhusXafBusinessObjectDesignerDiagram" />
      </XmlClassData>
      <XmlClassData TypeName="DomainProperty" MonikerAttributeName="" MonikerElementName="domainPropertyMoniker" ElementName="domainProperty" MonikerTypeName="DomainPropertyMoniker">
        <DomainClassMoniker Name="DomainProperty" />
        <ElementData>
          <XmlPropertyData XmlName="name">
            <DomainPropertyMoniker Name="DomainProperty/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="propertyType">
            <DomainPropertyMoniker Name="DomainProperty/PropertyType" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="columnName">
            <DomainPropertyMoniker Name="DomainProperty/ColumnName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="isRequired">
            <DomainPropertyMoniker Name="DomainProperty/IsRequired" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="isUniqueValue">
            <DomainPropertyMoniker Name="DomainProperty/IsUniqueValue" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="size">
            <DomainPropertyMoniker Name="DomainProperty/Size" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="displayFormat">
            <DomainPropertyMoniker Name="DomainProperty/DisplayFormat" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="isKeyProperty">
            <DomainPropertyMoniker Name="DomainProperty/IsKeyProperty" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="isAutoGeneratedKey">
            <DomainPropertyMoniker Name="DomainProperty/IsAutoGeneratedKey" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="displayName">
            <DomainPropertyMoniker Name="DomainProperty/DisplayName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="detailViewItemName">
            <DomainPropertyMoniker Name="DomainProperty/DetailViewItemName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="editMask">
            <DomainPropertyMoniker Name="DomainProperty/EditMask" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="ruleRequiredMessage">
            <DomainPropertyMoniker Name="DomainProperty/RuleRequiredMessage" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="ruleUniqueMessage">
            <DomainPropertyMoniker Name="DomainProperty/RuleUniqueMessage" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="customAttributeCode">
            <DomainPropertyMoniker Name="DomainProperty/CustomAttributeCode" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DomainObjectHasProperties" MonikerAttributeName="" MonikerElementName="domainObjectHasPropertiesMoniker" ElementName="domainObjectHasProperties" MonikerTypeName="DomainObjectHasPropertiesMoniker">
        <DomainRelationshipMoniker Name="DomainObjectHasProperties" />
      </XmlClassData>
      <XmlClassData TypeName="DomainComment" MonikerAttributeName="" SerializeId="true" MonikerElementName="domainCommentMoniker" ElementName="domainComment" MonikerTypeName="DomainCommentMoniker">
        <DomainClassMoniker Name="DomainComment" />
        <ElementData>
          <XmlPropertyData XmlName="summary">
            <DomainPropertyMoniker Name="DomainComment/Summary" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="remarks">
            <DomainPropertyMoniker Name="DomainComment/Remarks" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DomainModelHasComments" MonikerAttributeName="" MonikerElementName="domainModelHasCommentsMoniker" ElementName="domainModelHasComments" MonikerTypeName="DomainModelHasCommentsMoniker">
        <DomainRelationshipMoniker Name="DomainModelHasComments" />
      </XmlClassData>
      <XmlClassData TypeName="DomainObjectReferencesComments" MonikerAttributeName="" MonikerElementName="domainObjectReferencesCommentsMoniker" ElementName="domainObjectReferencesComments" MonikerTypeName="DomainObjectReferencesCommentsMoniker">
        <DomainRelationshipMoniker Name="DomainObjectReferencesComments" />
      </XmlClassData>
      <XmlClassData TypeName="DomainPropertiesCompartmentShape" MonikerAttributeName="" MonikerElementName="domainPropertiesCompartmentShapeMoniker" ElementName="domainPropertiesCompartmentShape" MonikerTypeName="DomainPropertiesCompartmentShapeMoniker">
        <CompartmentShapeMoniker Name="DomainPropertiesCompartmentShape" />
      </XmlClassData>
      <XmlClassData TypeName="DomainRelationshipConnector" MonikerAttributeName="" MonikerElementName="domainRelationshipConnectorMoniker" ElementName="domainRelationshipConnector" MonikerTypeName="DomainRelationshipConnectorMoniker">
        <ConnectorMoniker Name="DomainRelationshipConnector" />
      </XmlClassData>
      <XmlClassData TypeName="CommentShape" MonikerAttributeName="" MonikerElementName="commentShapeMoniker" ElementName="commentShape" MonikerTypeName="CommentShapeMoniker">
        <GeometryShapeMoniker Name="CommentShape" />
      </XmlClassData>
      <XmlClassData TypeName="CommentConnector" MonikerAttributeName="" MonikerElementName="commentConnectorMoniker" ElementName="commentConnector" MonikerTypeName="CommentConnectorMoniker">
        <ConnectorMoniker Name="CommentConnector" />
      </XmlClassData>
      <XmlClassData TypeName="DomainUserContext" MonikerAttributeName="" SerializeId="true" MonikerElementName="domainUserContextMoniker" ElementName="domainUserContext" MonikerTypeName="DomainUserContextMoniker">
        <DomainClassMoniker Name="DomainUserContext" />
        <ElementData>
          <XmlPropertyData XmlName="name">
            <DomainPropertyMoniker Name="DomainUserContext/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="loginName">
            <DomainPropertyMoniker Name="DomainUserContext/LoginName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="password">
            <DomainPropertyMoniker Name="DomainUserContext/Password" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="requirements">
            <DomainRelationshipMoniker Name="DomainUserContextReferencesRequirements" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DomainModelHasUserContexts" MonikerAttributeName="" MonikerElementName="domainModelHasUserContextsMoniker" ElementName="domainModelHasUserContexts" MonikerTypeName="DomainModelHasUserContextsMoniker">
        <DomainRelationshipMoniker Name="DomainModelHasUserContexts" />
      </XmlClassData>
      <XmlClassData TypeName="UserSecurityShape" MonikerAttributeName="" MonikerElementName="userSecurityShapeMoniker" ElementName="userSecurityShape" MonikerTypeName="UserSecurityShapeMoniker">
        <ImageShapeMoniker Name="UserSecurityShape" />
      </XmlClassData>
      <XmlClassData TypeName="DomainRequirement" MonikerAttributeName="" SerializeId="true" MonikerElementName="domainRequirementMoniker" ElementName="domainRequirement" MonikerTypeName="DomainRequirementMoniker">
        <DomainClassMoniker Name="DomainRequirement" />
        <ElementData>
          <XmlPropertyData XmlName="name">
            <DomainPropertyMoniker Name="DomainRequirement/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="description">
            <DomainPropertyMoniker Name="DomainRequirement/Description" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="actions">
            <DomainRelationshipMoniker Name="DomainRequirementHasActions" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="isWindowsTest">
            <DomainPropertyMoniker Name="DomainRequirement/IsWindowsTest" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="isWebTest">
            <DomainPropertyMoniker Name="DomainRequirement/IsWebTest" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="shouldClearDatabase">
            <DomainPropertyMoniker Name="DomainRequirement/ShouldClearDatabase" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="shouldRestoreDatabase">
            <DomainPropertyMoniker Name="DomainRequirement/ShouldRestoreDatabase" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DomainModelHasRequirements" MonikerAttributeName="" MonikerElementName="domainModelHasRequirementsMoniker" ElementName="domainModelHasRequirements" MonikerTypeName="DomainModelHasRequirementsMoniker">
        <DomainRelationshipMoniker Name="DomainModelHasRequirements" />
      </XmlClassData>
      <XmlClassData TypeName="RequirementsShape" MonikerAttributeName="" MonikerElementName="requirementsShapeMoniker" ElementName="requirementsShape" MonikerTypeName="RequirementsShapeMoniker">
        <CompartmentShapeMoniker Name="RequirementsShape" />
      </XmlClassData>
      <XmlClassData TypeName="DomainRequirementAction" MonikerAttributeName="" MonikerElementName="domainRequirementActionMoniker" ElementName="domainRequirementAction" MonikerTypeName="DomainRequirementActionMoniker">
        <DomainClassMoniker Name="DomainRequirementAction" />
        <ElementData>
          <XmlPropertyData XmlName="name">
            <DomainPropertyMoniker Name="DomainRequirementAction/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="shouldSucceed">
            <DomainPropertyMoniker Name="DomainRequirementAction/ShouldSucceed" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="stepAction">
            <DomainPropertyMoniker Name="DomainRequirementAction/StepAction" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="commandParameters">
            <DomainPropertyMoniker Name="DomainRequirementAction/CommandParameters" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="additionalCommands">
            <DomainPropertyMoniker Name="DomainRequirementAction/AdditionalCommands" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DomainRequirementHasActions" MonikerAttributeName="" MonikerElementName="domainRequirementHasActionsMoniker" ElementName="domainRequirementHasActions" MonikerTypeName="DomainRequirementHasActionsMoniker">
        <DomainRelationshipMoniker Name="DomainRequirementHasActions" />
      </XmlClassData>
      <XmlClassData TypeName="DomainUserContextReferencesRequirements" MonikerAttributeName="" MonikerElementName="domainUserContextReferencesRequirementsMoniker" ElementName="domainUserContextReferencesRequirements" MonikerTypeName="DomainUserContextReferencesRequirementsMoniker">
        <DomainRelationshipMoniker Name="DomainUserContextReferencesRequirements" />
      </XmlClassData>
      <XmlClassData TypeName="SecurityRequirementConnector" MonikerAttributeName="" MonikerElementName="securityRequirementConnectorMoniker" ElementName="securityRequirementConnector" MonikerTypeName="SecurityRequirementConnectorMoniker">
        <ConnectorMoniker Name="SecurityRequirementConnector" />
      </XmlClassData>
      <XmlClassData TypeName="DomainObjectReferencesRequirements" MonikerAttributeName="" MonikerElementName="domainObjectReferencesRequirementsMoniker" ElementName="domainObjectReferencesRequirements" MonikerTypeName="DomainObjectReferencesRequirementsMoniker">
        <DomainRelationshipMoniker Name="DomainObjectReferencesRequirements" />
      </XmlClassData>
      <XmlClassData TypeName="ObjectRequirementConnector" MonikerAttributeName="" MonikerElementName="objectRequirementConnectorMoniker" ElementName="objectRequirementConnector" MonikerTypeName="ObjectRequirementConnectorMoniker">
        <ConnectorMoniker Name="ObjectRequirementConnector" />
      </XmlClassData>
    </ClassData>
  </XmlSerializationBehavior>
  <ExplorerBehavior Name="LiekhusXafBusinessObjectDesignerExplorer" />
  <ConnectionBuilders>
    <ConnectionBuilder Name="DomainObjectReferencesTargetsBuilder">
      <Notes>Provides for the creation of an ExampleRelationship by pointing at two ExampleElements.</Notes>
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="DomainObjectReferencesTargets" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="DomainObject" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="DomainObject" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
    <ConnectionBuilder Name="DomainObjectReferencesCommentsBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="DomainObjectReferencesComments" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="DomainObject" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="DomainComment" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
    <ConnectionBuilder Name="DomainUserContextReferencesRequirementsBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="DomainUserContextReferencesRequirements" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="DomainUserContext" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="DomainRequirement" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
    <ConnectionBuilder Name="DomainObjectReferencesRequirementsBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="DomainObjectReferencesRequirements" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="DomainObject" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="DomainRequirement" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
  </ConnectionBuilders>
  <Diagram Id="a91edf21-3e05-4b0a-80a9-435c40129061" Description="Description for Liekhus.Xaf.BusinessObjectDesigner.LiekhusXafBusinessObjectDesignerDiagram" Name="LiekhusXafBusinessObjectDesignerDiagram" DisplayName="Minimal Language Diagram" Namespace="Liekhus.Xaf.BusinessObjectDesigner">
    <Class>
      <DomainClassMoniker Name="DomainModel" />
    </Class>
    <ShapeMaps>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="DomainObject" />
        <ParentElementPath>
          <DomainPath>DomainModelHasObjects.DomainModel/!DomainModel</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="DomainPropertiesCompartmentShape/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="DomainObject/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <CompartmentShapeMoniker Name="DomainPropertiesCompartmentShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="DomainPropertiesCompartmentShape/Properties" />
          <ElementsDisplayed>
            <DomainPath>DomainObjectHasProperties.Properties/!DomainProperty</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="DomainProperty/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="DomainComment" />
        <ParentElementPath>
          <DomainPath>DomainModelHasComments.DomainModel/!DomainModel</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="CommentShape/RemarksDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="DomainComment/Remarks" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="CommentShape/SummaryDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="DomainComment/Summary" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <GeometryShapeMoniker Name="CommentShape" />
      </ShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="DomainUserContext" />
        <ParentElementPath>
          <DomainPath>DomainModelHasUserContexts.DomainModel/!DomainModel</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="UserSecurityShape/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="DomainUserContext/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <ImageShapeMoniker Name="UserSecurityShape" />
      </ShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="DomainRequirement" />
        <ParentElementPath>
          <DomainPath>DomainModelHasRequirements.DomainModel/!DomainModel</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="RequirementsShape/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="DomainRequirement/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <CompartmentShapeMoniker Name="RequirementsShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="RequirementsShape/Actions" />
          <ElementsDisplayed>
            <DomainPath>DomainRequirementHasActions.Actions/!DomainRequirementAction</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="DomainRequirementAction/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
    </ShapeMaps>
    <ConnectorMaps>
      <ConnectorMap>
        <ConnectorMoniker Name="DomainRelationshipConnector" />
        <DomainRelationshipMoniker Name="DomainObjectReferencesTargets" />
        <DecoratorMap>
          <TextDecoratorMoniker Name="DomainRelationshipConnector/TargetSideDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="DomainObjectReferencesTargets/DisplayManyText" />
            </PropertyPath>
          </PropertyDisplayed>
          <VisibilityPropertyPath>
            <DomainPropertyMoniker Name="DomainObjectReferencesTargets/IsManyToMany" />
            <PropertyFilters>
              <PropertyFilter FilteringValue="True" />
              <PropertyFilter FilteringValue="False" />
            </PropertyFilters>
          </VisibilityPropertyPath>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="DomainRelationshipConnector/SourceSideDecoratorMany" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="DomainObjectReferencesTargets/DisplayManyText" />
            </PropertyPath>
          </PropertyDisplayed>
          <VisibilityPropertyPath>
            <DomainPropertyMoniker Name="DomainObjectReferencesTargets/IsManyToMany" />
            <PropertyFilters>
              <PropertyFilter FilteringValue="True" />
            </PropertyFilters>
          </VisibilityPropertyPath>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="DomainRelationshipConnector/SourceSideDecoratorOne" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="DomainObjectReferencesTargets/DisplayOneText" />
            </PropertyPath>
          </PropertyDisplayed>
          <VisibilityPropertyPath>
            <DomainPropertyMoniker Name="DomainObjectReferencesTargets/IsManyToMany" />
            <PropertyFilters>
              <PropertyFilter FilteringValue="False" />
            </PropertyFilters>
          </VisibilityPropertyPath>
        </DecoratorMap>
      </ConnectorMap>
      <ConnectorMap>
        <ConnectorMoniker Name="CommentConnector" />
        <DomainRelationshipMoniker Name="DomainObjectReferencesComments" />
      </ConnectorMap>
      <ConnectorMap>
        <ConnectorMoniker Name="SecurityRequirementConnector" />
        <DomainRelationshipMoniker Name="DomainUserContextReferencesRequirements" />
      </ConnectorMap>
      <ConnectorMap>
        <ConnectorMoniker Name="ObjectRequirementConnector" />
        <DomainRelationshipMoniker Name="DomainObjectReferencesRequirements" />
      </ConnectorMap>
    </ConnectorMaps>
  </Diagram>
  <Designer FileExtension="liekhusxafbodesigner" EditorGuid="d122c218-a21f-445b-99f4-8ff548e36a4f">
    <RootClass>
      <DomainClassMoniker Name="DomainModel" />
    </RootClass>
    <XmlSerializationDefinition CustomPostLoad="false">
      <XmlSerializationBehaviorMoniker Name="XAFBODSerializationBehavior" />
    </XmlSerializationDefinition>
    <ToolboxTab TabText="Business Objects">
      <ElementTool Name="DomainObjectTool" ToolboxIcon="Resources\ClassTool.bmp" Caption="Domain Object" Tooltip="Domain Object Tool" HelpKeyword="DomainObject">
        <DomainClassMoniker Name="DomainObject" />
      </ElementTool>
      <ConnectionTool Name="RelationshipTool" ToolboxIcon="Resources\ExampleConnectorToolBitmap.bmp" Caption="Relationship" Tooltip="Drag between ExampleElements to create an ExampleRelationship" HelpKeyword="ConnectExampleRelationF1Keyword">
        <ConnectionBuilderMoniker Name="XAFBOD/DomainObjectReferencesTargetsBuilder" />
      </ConnectionTool>
      <ElementTool Name="PropertyTool" ToolboxIcon="Resources\AttributeTool.bmp" Caption="Property" Tooltip="Property Tool" HelpKeyword="PropertyTool">
        <DomainClassMoniker Name="DomainProperty" />
      </ElementTool>
      <ConnectionTool Name="CommentConnection" ToolboxIcon="Resources\CommentLinkTool.bmp" Caption="Comment Connection" Tooltip="Comment Connection" HelpKeyword="CommentConnection">
        <ConnectionBuilderMoniker Name="XAFBOD/DomainObjectReferencesCommentsBuilder" />
      </ConnectionTool>
      <ElementTool Name="CommentTool" ToolboxIcon="Resources\CommentTool.bmp" Caption="Comment" Tooltip="Comment" HelpKeyword="Comment">
        <DomainClassMoniker Name="DomainComment" />
      </ElementTool>
    </ToolboxTab>
    <ToolboxTab TabText="Requirements">
      <ElementTool Name="ActorTool" ToolboxIcon="Resources\ActorTool.bmp" Caption="Actor" Tooltip="Actor" HelpKeyword="Actor">
        <DomainClassMoniker Name="DomainUserContext" />
      </ElementTool>
      <ConnectionTool Name="SecurityRequirementConnectionTool" ToolboxIcon="Resources\FlowTool.bmp" Caption="Actor Requirement Connection" Tooltip="Security Requirement Connection Tool" HelpKeyword="SecurityRequirementConnectionTool">
        <ConnectionBuilderMoniker Name="XAFBOD/DomainUserContextReferencesRequirementsBuilder" />
      </ConnectionTool>
      <ElementTool Name="RequirementTool" ToolboxIcon="Resources\PageShapeToolBitmap.bmp" Caption="Requirement" Tooltip="Requirement Tool" HelpKeyword="RequirementTool">
        <DomainClassMoniker Name="DomainRequirement" />
      </ElementTool>
      <ElementTool Name="StepTool" ToolboxIcon="Resources\ObjectTool.bmp" Caption="Step" Tooltip="Step Tool" HelpKeyword="StepTool">
        <DomainClassMoniker Name="DomainRequirementAction" />
      </ElementTool>
      <ConnectionTool Name="ObjectRequirementConnectionTool" ToolboxIcon="Resources\ObjectFlowTool.bmp" Caption="Object Requirement Connection" Tooltip="Object Requirement Connection Tool" HelpKeyword="ObjectRequirementConnectionTool">
        <ConnectionBuilderMoniker Name="XAFBOD/DomainObjectReferencesRequirementsBuilder" />
      </ConnectionTool>
    </ToolboxTab>
    <Validation UsesMenu="false" UsesOpen="false" UsesSave="false" UsesLoad="false" />
    <DiagramMoniker Name="LiekhusXafBusinessObjectDesignerDiagram" />
  </Designer>
  <Explorer ExplorerGuid="3f83fcf8-841e-40f1-914a-d85de2a229eb" Title="LiekhusXafBusinessObjectDesigner Explorer">
    <ExplorerBehaviorMoniker Name="XAFBOD/LiekhusXafBusinessObjectDesignerExplorer" />
  </Explorer>
</Dsl>